package net.webservicex.www;


import java.rmi.RemoteException;

import org.apache.axis2.AxisFault;

import net.webservicex.www.StockQuoteStub.GetQuote;
import net.webservicex.www.StockQuoteStub.GetQuoteResponse;

public class StockQuoteServiceClient {
	public static void main(String[] args) {
		try {
			StockQuoteStub stub = new StockQuoteStub();
			GetQuote quote = new StockQuoteStub.GetQuote();
			quote.setSymbol("Z");
			//implementing the callback online
			StockQuoteCallbackHandler callback = new StockQuoteCallbackHandler(){
				@Override
				public void receiveResultGetQuote(GetQuoteResponse result) {
					System.out.println(result.getGetQuoteResult());
				}
			};

			stub.startGetQuote(quote, callback);

			//The Response is coming on a separate listner to the callback
			//Stop the main thread dying to get the hit on the callback
			//Or else we can loop until callback on complete
			Thread.sleep(10000);

		} catch (AxisFault e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}

	}
}
